.skeleton {
    min-width: 16px;
    min-height: 16px;
    background-color: #eee;
    border-radius: 4px;
    display: inline-block;
}

.skeleton--animated {
    animation-duration: 1.25s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: skeleton-shimmer;
    animation-timing-function: linear;
    background: darkgray;
    background: linear-gradient(to right, #eeeeee 10%, #dddddd 18%, #eeeeee 33%);
    background-size: 800px 104px;
    min-height: 16px;
    position: relative;
    border-radius: 4px;
}

@keyframes skeleton-shimmer {
    0%{
        background-position: -468px 0
    }

    100%{
        background-position: 468px 0
    }
}
